Debian

Editar PDF con Inkscape

En moitas ocasións queremos editar un pdf. Fichas descargadas de Internet que desexamos personalizar ou ben debuxar directamente enriba coa pantalla táctil sen necesidade de imprimilas. Coas distribucións gnu Linux dispoñemos de varios programas, con o Xournal, Gimp ou LibreOffice Draw. Pero hoxe centrarémonos no Inkscape, un programa de deseño vectorial.

1. Descargamos un ficheiro pdf. Por exemplo o seguinte, da páxina https://materialeducativoparadocente.blogspot.com

https://drive.google.com/file/d/1EHl6o3CjgQbBpFOMgMgPrhKSebhuN97R/view

2. Importamos o ficheiro pdf

3. Escollemos a páxina

4. Desagrupamos a imaxe. Facémolo un par de veces.

5. Para borrar seleccionamos un texto o unha imaxe e eliminámola, pulsando na tecla suprimir.

6. Para cambiar o texto. Clic na opción Texto do menú e Texto e tipo de letra

No cadro que aparece á dereita escollemos a pestana Texto, e aparece o texto, que podemos personalizar ao noso gusto

Tamén temos opción de engadir textos, ou trazos a man alzada.

Evitar o bloqueo de contidos flash en Firefox

Nas novas versións do navegador Firefox por defecto sempre corta os contidos Firefox, independentemente que teñamos actualzado o plugin de Flash (Shockwave Flash).

1. Se corta os contidos flash, pero temos o plugin flash actualizado

a. Clic en Abrir menu

abrir menu

b. Clic en complementos

complementos

c. Clic en Engadidos

d. Escollemos a opción Shockwave Flash e clic en Preferencias

e. Desmarcamos o check de Block dangerous and intrusive Flash content

f. Clic en Engadidos novamente e seleccionamos "Activar sempre"

 

2. Sen embargo cando estamos traballando cun equipo cunha versión de flash obsoleta, o propio Firefox non nos permite escoller a opción "Activar sempre". Aparece difuminada. E ademais aparece un aviso en cor vermella que nos alerta co seguinte aviso:

O normal é que actualizáramos á ultima versión de Firefox, pero só o poderemos facer no caso de que sexamos administradores do sistema operativo. Na seguinte nova, está explicado como anovar o plugin flash

https://blog.atio.es/node/133

 

Pero no caso no que non sexamos administradores do equipo e se confiamos plenamente nos contidos flash que vaiamos abrir, podemos desactivar o aviso anterior.

a. Na barra de direccións imos á seguinte dirección:

about:config

E aceptamos o aviso de risco!

b. No buscador procuramos: extensions.blocklist.enabled

c. Dobre clic na liña de configuración de extensions.blocklist.enabled, pasando o valor a false

d. Se nos diriximos novamente a fiestra de configuración de complementos, veremos que xa desaparece o aviso, e permite escoller a opción "Activar Sempre"

E ao abrir un contido flash xa podemos visualizalo correctamente.

 

 

Instalar Smart Notebook 11 na maqueta Abalar Libre 32 bits

notebook11

Deberemos de ter claro que este software no funciona para arquitecturas de 64 bits. Só funciona para 32 bits.

1. Previamente deberemos de descargar a instalar os seguintes paquetes:

libcurl3

https://debian.pkgs.org/8/debian-main-i386/libcurl3_7.38.0-4+deb8u11_i386.deb.html

libnspr4-0d

http://ftp.de.debian.org/debian/pool/main/n/nspr/libnspr4-0d_4.12-1+debu8u1_i386.deb

libudev0

http://launchpadlibrarian.net/132294322/libudev0_175-0ubuntu19_i386.deb

 

2. Descargar o software Notebook 11 desde a páxina web do fabricante. Deberemos de cubrir o formulario para que nos permita descargar o programa

https://education.smarttech.com/en/products/notebook/download#admin

descargar smart

3. Descomprimir o ficheiro

4. Escalar a usuario root para proceder coa instalación

su root

5. Acceder á ruta /smart_software_deb_repo/dists/stable/non-free/binary-i386

6. Instalar todos os paquetes deb coa seguinte instrución:

#dpkg -i *.root

7. Obtemos un erro, xa que aparecen dependencias por cumprir. Executamos a seguinte orde que nos amaña as dependencias e procede a instalar o software

 

software notebook

 

Atención. Non recomendo actualizar o firmware da pantalla desde o sistema operativo Linux. No meu caso fíxeno e obtiven un erro, polo que quedou a pantalla parpadeando en ámbar. Para arranxalo, tiven que actualizar de novo o firmaware desde Ms Windows coa ferramenta SMARTFirmwareUpdater. Para descargar a versión 11 de Notebook para Smartboard, eu fíxeno desde a seguinte páxina: https://www.limsmart.it/scarica-smart-notebook/smart-notebook-11-4-x-windows/

Montar unha unidade nfts automaticamente na Maqueta Abalar Libre

gparted.png

No caso que queiramos abrir unha partición ou un disco con formato NTFS (o formato habitual de Windows) se que nos pida o contrasinal de root, debemos de seguir o seguinte procedemento:

1. Crear un cartafol en /media no cal montaremos a partición ou disco. Neste exemplo, chamareille datos.

su root

#mkdir /media/datos

#chmod -R 777 /media/datos   (dámoslle permisos de lectura, escritura e execución a todos os usuarios)

2. Editamos o ficheiro fstab, engadindo o novo disco

#mousepad /etc/fstab

E engadimos unha liña como a seguinte:

/dev/sdc1       /media/datos/ ntfs-3g defaults 0 0


/dev/sdc1 é o disco de datos que queremos montar. Para saber se é sdc1, sdc2, sdd1, etc empregaremos o gparted, por exemplo

/media/datos/  é o cartafol onde montarmos a unidade

ntfs-3g. É o formato do disco de datos desta exemplo. Se fose de Linux, o máis probable é que tivera un formato ext4

3. Nunha distribución normal, con isto xa se montaría automaticamente, sen embargo na maqueta Abalar debemos de darlle orde de montar no inicio. Para iso editamos o ficheiro rc.local

#mousepad /etc/rc.local

Engadimos a seguinte liña antes da orde exit 0

mount -t ntfs-3g /dev/sdc1 /media/datos

Reiniciamos e ao abrir na icona unidade de datos xa non pedirá o contrasinal de root

 

 

Solución erro invalid socket do programa Amule

donkey-2761528_640.jpg

Para instalar amule empregamos a seguinte instrución desde root:

apt update

apt install amule

En aparencia o programa queda instalado correctamente, sen embargo obtemos o seguinte erro:

../src/unix/sockunix.cpp(143): assert "m_fd != INVALID_SOCKET" failed in OnReadWaiting(): invalid socket ready for reading?

erro amule.png

 

Sen desinstalar o amule, instala os seguintes paquetes:

apt install libupnp6 libupnp6-dev

Proba a arrancalo de novo. Se non funcionase novamente instala tamén os seguintes paquetes:

apt install libwxbase3.0-0 libwxbase3.0-dev libwxbase3.0-0-dbg libwxgtk3.0-0 libwxgtk3.0-dev
 
Volve a arrancar o programa e xa non aparecerá o erro e funcionará correctamente
 
 

Instalar o navegador Opera Debian

opera

1. Engadimos ao repositorio as fontes

# echo "deb http://deb.opera.com/opera stable non-free" > /etc/apt/sources.list.d/opera.list

2. Inserimos a clave pública do repositorio Opera no noso repositorio de claves

# wget -O - http://deb.opera.com/archive.key | apt-key add -

3. Actualizamos os índices dos repositorios e instalamos o paquete

# apt update

# apt install opera
Subscribe to Debian